Planned maintenance has been done but it did not solve the problem. So work will continue on this and a new time for trying updates will be announced asap.

Since Qt 5.12.2 Android application crashes directly after start



  • Hi there,

    since I updated Qt Creator to the newest version 5.12.2 my application crashes directly after start on android. On other platforms it works well.

    Log:

    I Qt JAVA : Can't find '/data/data/de.mtms.cb2t/qt-reserved-files/lib/libQt5MultimediaQuick.so'
    E AndroidRuntime: FATAL EXCEPTION: qtMainLoopThread
    E AndroidRuntime: Process: de.mtms.cb2t, PID: 10576
    E AndroidRuntime: java.lang.UnsatisfiedLinkError: dlopen failed: library "libgnustl_shared.so" not found
    E AndroidRuntime: 	at java.lang.Runtime.load0(Runtime.java:928)
    E AndroidRuntime: 	at java.lang.System.load(System.java:1624)
    E AndroidRuntime: 	at org.qtproject.qt5.android.QtNative$3.run(QtNative.java:223)
    E AndroidRuntime: 	at org.qtproject.qt5.android.QtThread$2.run(QtThread.java:87)
    E AndroidRuntime: 	at org.qtproject.qt5.android.QtThread$1.run(QtThread.java:61)
    E AndroidRuntime: 	at java.lang.Thread.run(Thread.java:784)
    

    Also i see a lot of linker problems (unsupported flags):

    W linker  : "/data/app/de.mtms.cb2t-Z-KWIS-vDfyWTr-KwpHu8w==/lib/arm/libQt5MultimediaQuick.so" has unsupported flags DT_FLAGS_1=0x80
    W linker  : "/data/app/de.mtms.cb2t-Z-KWIS-vDfyWTr-KwpHu8w==/lib/arm/libQt5RemoteObjects.so" has unsupported flags DT_FLAGS_1=0x80
    W linker  : "/data/data/de.mtms.cb2t/qt-reserved-files/plugins/platforms/android/libqtforandroid.so" has unsupported flags DT_FLAGS_1=0x80
    

    I'm using ndk r19c. I have tried some sample apps for android with 5.12.2 they are working. So what could be the problem with my application and 5.12.2.

    With Qt 5.11.2 my app works fine on android.

    Regards,
    wowalive



  • Ok that solved quickly..

    I used a lib which was build with an older ndk version(r15c). I updated it, now everything works fine.



  • Hello. It seems I have the same issue. I try to add the Firebace Cloud Messaging to my project, and now after I set v. 5.13.2 my application in some devices is craching at very start. NDK the same as you r19c.
    I havent catch how youve solve it? Should I use older NDK (btw it seems that FCM libraries should be compiled with NDK 15 or smth) or can you explain how have you solve it exactly?


Log in to reply